var viewportwidth;
var viewportheight;
  
// the more standards compliant browsers (mozilla/netscape/opera/IE7) use window.innerWidth and window.innerHeight
 
if (typeof window.innerWidth != 'undefined')
{
	viewportheight = window.innerHeight;
	viewportwidth = window.innerWidth;
}
 
// IE6 in standards compliant mode (i.e. with a valid doctype as the first line in the document)

else if (typeof document.documentElement != 'undefined'
&& typeof document.documentElement.clientWidth !=
'undefined' && document.documentElement.clientWidth != 0)
{
	viewportwidth = document.documentElement.clientWidth,
	viewportheight = document.documentElement.clientHeight
}
 
// older versions of IE
 
else
{
	viewportwidth = document.getElementsByTagName('body')[0].clientWidth,
	viewportheight = document.getElementsByTagName('body')[0].clientHeight
}

// document.write('<p>Your viewport width is '+viewportwidth+'x'+viewportheight+'</p>');

window.addEventListener('load', function(){
	var box1 = document.getElementById('body');
	var startx = 0
	var distx = 0
	var limitx = viewportwidth/3 * 2
	var fingers = 0
 
	box1.addEventListener('touchstart', function(e){
		var touchobj = e.changedTouches[0] // reference first touch point (ie: first finger)
		fingers = e.touches.length
		startx = parseInt(touchobj.clientX) // get x position of touch point relative to left edge of browser
	}, false)

	box1.addEventListener('touchmove', function(e){
		var touchobj = e.changedTouches[0] // reference first touch point for this event
		var distx = parseInt(touchobj.clientX) - startx

		if(e.touches.length == 1 && fingers == 1) // only if one finger touches the screen
		{
			if(distx > limitx)
			{
				document.getElementById('body').style.backgroundColor='#d0d0d0';
				document.getElementById('moins').submit() //('Status: left' + e.touches.length)
			}
			if(distx < - limitx)
			{
				document.getElementById('body').style.backgroundColor='#d0d0d0';
				document.getElementById('plus').submit() //alert('Status: right' + e.touches.length)
			}
		}
	}, false)
}, false)
